API

Get Started

WelcomeQuickstartGuidesChangelogSDKs and ToolsAdditional Info

Authorization

POSTCreate personal access token

List Accounts

GETGet accounts

Account Details

GETGet account portfolio v2GETGet history

Tax Lot Selling

GETGet unrealized tax lotsGETGet unrealized tax lots for symbolGETGet unrealized tax lots csv

Instrument Details

GETGet all instrumentsGETGet instrumentGETSearch bonds

Market Data

POSTGet quotesGETGet bond detailsPOSTGet option expirationsPOSTGet option chainGETGet bars v2GETGet bars v2 with aggregation

Order Placement

POSTPreflight single legPOSTPreflight multi legPOSTPlace orderPUTReplace orderPOSTPlace multileg orderGETGet orderDELETECancel order

Option Details

GETGet option greeksPOSTGet strategy quote
HelpFeedback
Market Data

Get bond details

Retrieve bond details

Returns comprehensive bond instrument details including pricing, ratings, and maturity information. Requires the `marketdata` scope. Available to individual investors.

GET/userapigateway/marketdata/{accountId}/bond-details/{symbol}

Parameters

Path Parameters

string
string

Parameters

NameTypeRequiredDescription
accountIdstringYes-
symbolstringYes-

Body

application/json

No request body defined

Responses

Response

200
application/json
cusipstring

CUSIP identifier

issuerstring

Name of the bond issuer

issuerSymbolstring

Symbol of the bond issuer

symbolstring

Bond symbol (typically CUSIP-BOND format)

descriptionstring

Full description of the bond

descriptionShortstring

Short description of the bond

bondTypestring

Type of bond (e.g., TREASURY, CORPORATE, MUNICIPAL)

treasurySubtypestring

Treasury subtype (e.g., STRIPS)

treasuryDurationstring

Treasury duration (e.g., 30Y)

bondStatusstring

Bond status (e.g., OUTSTANDING)

issueDatestring

Date when the bond was issued

issuePricestring

Original price at which the bond was issued

issueSizestring

Total size of the bond issue

maturityDatestring

Date when the bond matures

ratingstring

Credit rating of the bond

ratingCategorystring

Rating category (e.g., INVESTMENT_GRADE)

couponstring

Coupon rate of the bond

couponFrequencystring

Frequency of coupon payments

nextCouponDatestring

Date of the next coupon payment

parValuestring

Par value of the bond

accruedIntereststring

Accrued interest on the bond

callableboolean

Whether the bond is callable

nextCallDatestring

Date of the next call option

nextCallPricestring

Price at which the bond can be called

currentYieldstring

Current yield of the bond

currentPricestring

Current market price of the bond

spOutlookstring

S&P rating outlook

spOutlookDatestring

Date of S&P outlook

spCreditwatchstring

S&P creditwatch status

spCreditwatchDatestring

Date of S&P creditwatch

perpetualboolean

Whether the bond is perpetual

countryIssuestring

Country where the bond was issued

countryDomicilestring

Country of issuer domicile

daysUntilMaturityinteger

Number of days until the bond matures

liquidityRatingstring

Liquidity rating of the bond

senioritystring

Seniority level of the bond

partialParboolean

Whether partial par trading is allowed

minimumOrderSizestring

Minimum order size for trading

minimumOrderIncrementstring

Minimum order increment for trading

Response

400application/json

Invalid input: bond symbol not found or invalid format.

No response body defined

The Public Individual API is for your own personal, non-commercial use. Unauthorized access is prohibited. You are responsible for all trades made via the API. Learn more
{
  "cusip": "string",
  "issuer": "string",
  "issuerSymbol": "string",
  "symbol": "string",
  "description": "string",
  "descriptionShort": "string",
  "bondType": "string",
  "treasurySubtype": "string",
  "treasuryDuration": "string",
  "bondStatus": "string",
  "issueDate": "2023-11-07",
  "issuePrice": "string",
  "issueSize": "string",
  "maturityDate": "2023-11-07",
  "rating": "string",
  "ratingCategory": "string",
  "coupon": "string",
  "couponFrequency": "string",
  "nextCouponDate": "2023-11-07",
  "parValue": "string",
  "accruedInterest": "string",
  "callable": true,
  "nextCallDate": "2023-11-07",
  "nextCallPrice": "string",
  "currentYield": "string",
  "currentPrice": "string",
  "spOutlook": "string",
  "spOutlookDate": "2023-11-07",
  "spCreditwatch": "string",
  "spCreditwatchDate": "2023-11-07",
  "perpetual": true,
  "countryIssue": "string",
  "countryDomicile": "string",
  "daysUntilMaturity": 1234567890,
  "liquidityRating": "string",
  "seniority": "string",
  "partialPar": true,
  "minimumOrderSize": "string",
  "minimumOrderIncrement": "string"
}
The Public Individual API is for your own personal, non-commercial use. Unauthorized access is prohibited. You are responsible for all trades made via the API. Learn more